cstphy Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
cstphy Module Reference
Collaboration diagram for cstphy:

## Data Fields
double precision | tkelvi
| Temperature in Kelvin correponding to 0 degrees Celsius (= +273,15) More...
double precision | tkelvn
| Temperature in degrees Celsius corresponding to 0 Kelvin (= -273,15) More...
double precision | xcal2j
| Calories (1 cal = xcal2j J) More...
double precision | stephn
| Stephan constant for the radiative module in . More...
double precision | rair
| Perfect gas constant for air (mixture) More...
double precision, save | gx
| Gravity. More...
double precision, save | gy
double precision, save | gz
integer, save | icorio
double precision, save | omegax
| Rotation vector. More...
double precision, save | omegay
double precision, save | omegaz
double precision, dimension(3, 3), save | irot
double precision, dimension(3, 3), save | prot
double precision, dimension(3, 3), save | qrot
double precision, dimension(3, 3), save | rrot
integer, save | ixyzp0
| Constantes physiques du fluide filling xyzp0 indicator. More...
double precision, save | ro0
| reference density. Negative value: not initialised. Its value is not used in gas or coal combustion modelling (it will be calculated following the perfect gas law, with and ). With the compressible module, it is also not used by the code, but it may be (and often is) referenced by the user in user subroutines; it is therefore better to specify its value. More...
double precision, save | viscl0
| reference molecular dynamic viscosity. Negative value: not initialised. More...
double precision, save | p0
| reference pressure for the total pressure. except with the compressible module, the total pressure is evaluated from the reduced pressure so that is equal to p0 at the reference position (given by xyzp0). with the compressible module, the total pressure is solved directly. always Useful More...
double precision, save | pred0
| reference value for the reduced pressure (see ro0). It is especially used to initialise the reduced pressure and as a reference value for the outlet boundary conditions. For an optimised precision in the resolution of , it is wiser to keep pred0 to 0. With the compressible module, the "pressure" variable appearing in the equations directly represents the total pressure. It is therefore initialised to p0 and not pred0 (see ro0). Always useful, except with the compressible module More...
double precision, dimension(3), save | xyzp0
| coordinates of the reference point for the total pressure. More...
double precision, save | t0
| reference temperature. More...
double precision, save | cp0
| reference specific heat. More...
double precision, save | xmasmr
| molar mass of the perfect gas in (if ieos=1) More...
double precision, save | pther
| Uniform thermodynamic pressure for the low-Mach algorithm Thermodynamic pressure for the current time step. More...
double precision, save | pthera
| Thermodynamic pressure for the previous time step. More...
double precision, save | xkappa
| Karman constant. (= 0.42) More...
double precision, save | cstlog
| constant of logarithmic law function: ( ) More...
double precision, save | ypluli
| limit value of for the viscous sublayer. ypluli depends on the chosen wall function: it is initialised to 10.88 for the scalable wall function (ideuch=2), otherwise it is initialised to . In LES, ypluli is taken by default to be 10.88. More...
double precision, save | apow
| Werner and Wengle coefficient. More...
double precision, save | bpow
| Werner and Wengle coefficient. More...
double precision, save | cpow
| Werner and Wengle coefficient. More...
double precision, save | dpow
| Werner and Wengle coefficient. More...
double precision, save | cmu
| constant for all the RANS turbulence models except for the v2f model (see cv2fmu for the value of in case of v2f modelling). Useful if and only if iturb = 20, 21, 30, 31 or 60 ( , or ) More...
double precision, save | cmu025
| More...
double precision, save | ce1
| constant for all the RANS turbulence models except for the v2f and the models. Useful if and only if iturb= 20, 21, 30 or 31 ( or ) More...
double precision, save | ce2
| constant for the and LRR models. Useful if and only if { iturb}= 20, 21 or 30 ( or LRR) More...
double precision, save | ce4
| Coefficient of interfacial coefficient in k-eps, used in Lagrange treatment. More...
double precision, save | sigmak
| Prandtl number for with and v2f models. nUseful if and only if iturb=20, 21 or 50 ( or v2f) More...
double precision, save | sigmae
| Prandtl number for . Useful if and only if iturb= 20, 21, 30, 31 or 50 ( , or v2f) More...
double precision, save | crij1
| constant for the LRR model. Useful if and only if iturb=30 ( LRR) More...
double precision, save | crij2
| constant for the LRR model. Useful if and only if iturb=30 ( LRR) More...
double precision, save | crij3
| constant for the LRR model. Useful if and only if iturb=30 ( LRR) More...
double precision, save | crijp1
| constant for the LRR model, corresponding to the wall echo terms. Useful if and only if iturb=30 and irijec=1 ( LRR) More...
double precision, save | crijp2
| constant for the LRR model, corresponding to the wall echo terms. Useful if and only if iturb=30 and irijec=1 ( LRR) More...
double precision, save | cssge2
| constant for the SSG model. Useful if and only if iturb=31 ( SSG) More...
double precision, save | cssgs1
| constant for the SSG model. Useful if and only if iturb=31 ( SSG) More...
double precision, save | cssgs2
| constant for the SSG model. Useful if and only if iturb=31 ( SSG) More...
double precision, save | cssgr1
| constant for the SSG model. Useful if and only if iturb=31 ( SSG) More...
double precision, save | cssgr2
| constant for the SSG model. Useful if and only if iturb=31 ( SSG) More...
double precision, save | cssgr3
| constant for the SSG model. Useful if and only if iturb=31 ( SSG) More...
double precision, save | cssgr4
| constant for the SSG model. Useful if and only if iturb=31 ( SSG) More...
double precision, save | cssgr5
| constant for the SSG model. Useful if and only if iturb=31 ( SSG) More...
double precision, save | cebms1
| constant of the Rij-epsilon EBRSM More...
double precision, save | cebms2
| constant of the Rij-epsilon EBRSM More...
double precision, save | cebmr1
double precision, save | cebmr2
double precision, save | cebmr3
double precision, save | cebmr4
double precision, save | cebmr5
double precision, save | cebmr6
double precision, save | csrij
| constant for the LRR model. Useful if and only if iturb=30 ( LRR) More...
double precision, save | cebme2
| constant of the Rij-epsilon EBRSM More...
double precision, save | cebmmu
| constant of the Rij-epsilon EBRSM More...
double precision, save | xcl
| constant of the Rij-epsilon EBRSM More...
double precision, save | xa1
| constant in the expression of Ce1' for the Rij-epsilon EBRSM More...
double precision, save | xct
| constant of the Rij-epsilon EBRSM More...
double precision, save | xceta
| constant of the Rij-epsilon EBRSM More...
double precision, save | cpale1
| specific constant of v2f "BL-v2k" (or phi-alpha) More...
double precision, save | cpale2
| specific constant of v2f "BL-v2k" (or phi-alpha) More...
double precision, save | cpale3
| specific constant of v2f "BL-v2k" (or phi-alpha) More...
double precision, save | cpale4
| specific constant of v2f "BL-v2k" (or phi-alpha) More...
double precision, save | cpalse
| specific constant of v2f "BL-v2k" (or phi-alpha) More...
double precision, save | cpalmu
| specific constant of v2f "BL-v2k" (or phi-alpha) More...
double precision, save | cpalc1
| specific constant of v2f "BL-v2k" (or phi-alpha) More...
double precision, save | cpalc2
| specific constant of v2f "BL-v2k" (or phi-alpha) More...
double precision, save | cpalct
| specific constant of v2f "BL-v2k" (or phi-alpha) More...
double precision, save | cpalcl
| specific constant of v2f "BL-v2k" (or phi-alpha) More...
double precision, save | cpalet
| specific constant of v2f "BL-v2k" (or phi-alpha) More...
double precision, save | ckwsk1
| constant for the SST model. Useful if and only if iturb=60 More...
double precision, save | ckwsk2
| constant for the SST model. Useful if and only if iturb=60 More...
double precision, save | ckwsw1
| constant for the SST model. Useful if and only if iturb=60 ( SST) More...
double precision, save | ckwsw2
| constant for the SST model. Useful if and only if iturb=60 ( SST) More...
double precision, save | ckwbt1
| constant for the SST model. Useful if and only if iturb=60 ( SST) More...
double precision, save | ckwbt2
| constant for the SST model. Useful if and only if iturb=60 ( SST) More...
double precision, save | ckwgm1
| constant for the SST model. Useful if and only if iturb=60 ( SST) More...
double precision, save | ckwgm2
| constant for the SST model. Useful if and only if iturb=60 ( SST) More...
double precision, save | ckwa1
| specific constant of k-omega SST constant for the SST model. Useful if and only if iturb=60 ( SST) More...
double precision, save | ckwc1
| constant for the SST model. Useful if and only if iturb=60 ( SST) specific constant of k-omega SST More...
double precision, save | csab1
| specific constant of Spalart-Allmaras More...
double precision, save | csab2
| specific constant of Spalart-Allmaras More...
double precision, save | csasig
| specific constant of Spalart-Allmaras More...
double precision, save | csav1
| specific constant of Spalart-Allmaras More...
double precision, save | csaw1
| specific constant of Spalart-Allmaras More...
double precision, save | csaw2
| specific constant of Spalart-Allmaras More...
double precision, save | csaw3
| specific constant of Spalart-Allmaras More...
double precision, save | cssr1
| constant of the Spalart-Shur rotation/curvature correction More...
double precision, save | cssr2
| constant of the Spalart-Shur rotation/curvature correction More...
double precision, save | cssr3
| constant of the Spalart-Shur rotation/curvature correction More...
double precision, save | ccaze2
| constants of the Cazalbou rotation/curvature correction More...
double precision, save | ccazsc
| constants of the Cazalbou rotation/curvature correction More...
double precision, save | ccaza
| constants of the Cazalbou rotation/curvature correction More...
double precision, save | ccazb
| constants of the Cazalbou rotation/curvature correction More...
double precision, save | ccazc
| constants of the Cazalbou rotation/curvature correction More...
double precision, save | ccazd
| constants of the Cazalbou rotation/curvature correction More...
double precision, save | almax
| is a characteristic macroscopic length of the domain, used for the initialisation of the turbulence and the potential clipping (with iclkep=1) More...
double precision, save | uref
| the characteristic flow velocity, used for the initialisation of the turbulence. Negative value: not initialised. More...
double precision, save | xlomlg
| mixing length for the mixing length model More...
double precision, save | xlesfl
| constant used in the definition of LES filtering diameter: More...
double precision, save | ales
| constant used to define, for each cell , the width of the (implicit) filter: More...
double precision, save | bles
| constant used to define, for each cell $$, More...
double precision, save | csmago
| Smagorinsky constant used in the Smagorinsky model for LES. The sub-grid scale viscosity is calculated by where is the width of the filter and the filtered strain rate. More...
double precision, save | xlesfd
| ratio between explicit and explicit filter width for a dynamic model constant used to define, for each cell , the width of the explicit filter used in the framework of the LES dynamic model: . More...
double precision, save | smagmx
| maximum allowed value for the variable appearing in the LES dynamic model (the "square" comes from the fact that the variable of the dynamic model corresponds to the square of the constant of the Smagorinsky model). Any larger value yielded by the calculation procedure of the dynamic model will be clipped to . More...
double precision, save | cdries
| van Driest constant appearing in the van Driest damping function applied to the Smagorinsky constant: More...
double precision, save | volmin
| minimal control volume More...
double precision, save | volmax
| maximal control volume More...
double precision, save | voltot
| total domain volume More...
double precision, save | cv2fa1
| constant for the v2f -model. Useful if and only if iturb=50 (v2f -model) More...
double precision, save | cv2fe2
| constant for the v2f -model. Useful if and only if iturb=50 (v2f -model) More...
double precision, save | cv2fmu
| constant for the v2f -model. Useful if and only if iturb=50 (v2f -model) More...
double precision, save | cv2fc1
| constant for the v2f -model. Useful if and only if iturb=50 (v2f -model) More...
double precision, save | cv2fc2
| constant for the v2f -model. Useful if and only if iturb=50 (v2f -model) More...
double precision, save | cv2fct
| constant for the v2f -model. Useful if and only if iturb=50 (v2f -model) More...
double precision, save | cv2fcl
| constant for the v2f -model. Useful if and only if iturb=50 (v2f -model) More...
double precision, save | cv2fet
| constant for the v2f -model. Useful if and only if iturb=50 (v2f -model) More...
double precision, save | cwale
| constant of the WALE LES method More...
double precision, save | xiafm
| coefficient of turbulent AFM flow model More...
double precision, save | etaafm
| coefficient of turbulent AFM flow model More...
double precision, save | c1trit
| coefficient of turbulent DFM flow model More...
double precision, save | c2trit
| coefficient of turbulent DFM flow model More...
double precision, save | c3trit
| coefficient of turbulent DFM flow model More...
double precision, save | c4trit
| coefficient of turbulent DFM flow model More...
double precision, save | cthafm
| constant of GGDH and AFM on the thermal scalar More...
double precision, save | cthdfm
| constant of GGDH and AFM on the thermal scalar More...

The documentation for this module was generated from the following file:

- src/base/cstphy.f90